Bug 40657 - Bad multibyte chars in japanese .po-file
Bad multibyte chars in japanese .po-file
Product: Red Hat Raw Hide
Classification: Retired
Component: gettext (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-05-15 06:40 EDT by Enrico Scholz
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-31 08:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-05-15 06:40:47 EDT

Description of Problem:

lynx can not be rebuilt because msgfmt fails on po/ja.po.

Steps to Reproduce:
1. LANG=C rpm --rebuild lynx-2.8.4-12.src.rpm

Actual Results:
file=./`echo ja | sed 's,.*/,,'`.gmo \
  && rm -f $file && PATH=../src:$PATH /usr/bin/msgfmt -o $file ja.po
ja.po:568: invalid multibyte sequence
ja.po:569: end-of-line within string
ja.po:3906: end-of-line within string
too many errors, aborting
make[1]: *** [ja.gmo] Error 1

Additional Information:
$ rpm -q gettext glibc

$LINGUAS is unset
Comment 1 Bernhard Rosenkraenzer 2001-05-31 03:46:36 EDT
This compiled with an older gettext... Did gettext switch to a different 
Comment 2 Enrico Scholz 2001-05-31 05:06:16 EDT
Bug #40656 tells some details and a possible  workaround
Comment 3 Trond Eivind Glomsrxd 2001-05-31 08:37:25 EDT
That can't be blindly used, since I don't know ow a proper way to identify
whether or not the format is old or new... I'm still waiting on feedback from
the Japanese office on how to do that.
Comment 4 Trond Eivind Glomsrxd 2001-06-04 10:01:25 EDT
OK, we're going for the OLD_PO_FILE_INPUT.

Note You need to log in before you can comment on or make changes to this bug.